Ошибка при регистрации 2.0.2.0

Тема в разделе "Ошибки и их решения", создана пользователем Dragg0n, 22 окт 2015.

  1. Dragg0n

    Dragg0n Новичок

    Сообщения:
    19
    Симпатии:
    0
    Добрый день. Сайт не с того не с чего стал выдавать при завершение регистрации ошибку

    Notice: Error: E-Mail to required! in /var/www/vhosts/gallerygifts.kz/httpdocs/system/library/mail.php on line 61

    Как можно это решить? нашел вроде за бугром решение но не понял до конца о чем они говорят

    На сколько я понял файл отвечает за проверку корректного email но код понять не могу (с php туговато)
    и ошибку вызывает строчка

    Код:
        public function send() {
            if (!$this->to) {
                trigger_error('Error: E-Mail to required!'); - 61 строчка
                exit();
     
    Последнее редактирование: 22 окт 2015
  2. Ален

    Ален Эксперт

    Сообщения:
    2.055
    Симпатии:
    634
  3. Dragg0n

    Dragg0n Новичок

    Сообщения:
    19
    Симпатии:
    0
    Я искал по слову /mail.php on line 61 - поиск не дал результата. да стоит Version 2.0.2.0 (rs.1) - перешел по первой ссылки но не понял там 4 файла патча без описания последовательности и в спойлере не вижу объяснения сто это исправлено ((( Можете подробнее объяснить? Или проще вообще сразу обновится до последней версии? Если да то можно ссылку как обновлятся с моей версии до последней. У меня опыт работы с битрикс а там все автоматом


    Прошел по второй ссылки там в самом конце говорится о нехватке 3 строк, добавил, теперь выходит шаблон надпись что все хорошо но над шоблоном сообщение

    Warning: sprintf(): Too few arguments in /var/www/vhosts/gallerygifts.kz/httpdocs/catalog/controller/account/success.php on line 32
     
    Последнее редактирование: 22 окт 2015
  4. Romans

    Romans Administrator Команда форума

    Сообщения:
    1.338
    Симпатии:
    699
    http://forum.opencart-russia.ru/threads/oshibka-pri-registracii-nepravilnyj-fajl-lokalizacii.690/

    нет. Проще поставить хотфикс. В теме сборки написано про пакет исправлений.